OpenShot Audio Library (libopenshot-openshot) is a free, open-source C++ library dedicated to
delivering high quality audio editing and audio playback solutions to the world.

## Build Status

[![Build Status](https://img.shields.io/travis/OpenShot/libopenshot-audio/develop.svg?label=libopenshot-audio)](https://travis-ci.org/OpenShot/libopenshot-audio)

## Features

* Cross-Platform (Linux, Mac, and Windows)
* Audio Playback
* Audio Mixing & Resampling
* Audio Plug-ins (VST & AU)
* Audio Drivers (ASIO, WASAPI, DirectSound, CoreAudio, iPhone Audio, ALSA, JACK, and Android)

## Install

Detailed instructions for building libopenshot and libopenshot-audio for each OS. These instructions
are also available in the /docs/ source folder.

   * [Linux](https://github.com/OpenShot/libopenshot/wiki/Linux-Build-Instructions)
   * [Mac](https://github.com/OpenShot/libopenshot/wiki/Mac-Build-Instructions)
   * [Windows](https://github.com/OpenShot/libopenshot/wiki/Windows-Build-Instructions)

## Developers

Are you interested in becoming more involved in the development of 
OpenShot? Build exciting new features, fix bugs, make friends, and become a hero! 
Please read the [step-by-step](https://github.com/OpenShot/openshot-qt/wiki/Become-a-Developer) 
instructions for getting source code, configuring dependencies, and building OpenShot.

## Report a bug

You can report a new libopenshot-audio issue directly on GitHub:

https://github.com/OpenShot/libopenshot-audio/issues

## Websites

- https://www.openshot.org/  (Official website and blog)
- https://github.com/OpenShot/libopenshot-audio/ (source code and issue tracker)
- https://github.com/OpenShot/libopenshot/ (source code for video library)
- https://github.com/OpenShot/openshot-qt/ (source code for Qt client)
- https://launchpad.net/openshot/

### License

Copyright (c) 2008-2019 OpenShot Studios, LLC.

Copyright 2004-2014 by Raw Material Software Ltd.

OpenShot Audio Library (libopenshot-audio) is free software: you can redistribute it
and/or modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with OpenShot Audio Library. If not, see http://www.gnu.org/licenses/.

To release a closed-source product which uses libopenshot-audio (i.e. audio
editing and playback), commercial licenses are also available: contact
sales@openshot.org for more information.
